%define upstream_name    Data-Validation
%define upstream_version 0.28.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Filter and validate data values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Email::Valid) >= 1.196.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.56.0
BuildRequires: perl(List::Util) >= 1.420.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.5
BuildRequires: perl(Unexpected)
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
This module implements filters and common constraints in builtin
methods and uses a factory pattern to implement an extensible list of
external filters and constraints

Data values are filtered first before testing against the constraints.
The filtered data values are returned if they conform to the
constraints, otherwise an exception is thrown

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.28.1-6.mga10
+ Revision: 2209879
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.28.1-5.mga9
+ Revision: 1821302
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.28.1-4.mga8
+ Revision: 1523732
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.28.1-3.mga7
+ Revision: 1374681
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.28.1-2.mga7
+ Revision: 1282641
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.28.1-1.mga7
+ Revision: 1134185
- update to 0.28.1

* Sat Jun 18 2016 pterjan <pterjan> 0.25.1-2.mga6
+ Revision: 1024992
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.25.1-1.mga6
+ Revision: 1001793
- New version 0.25.1

* Fri Feb 19 2016 umeabot <umeabot> 0.21.1-2.mga6
+ Revision: 968903
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.21.1-1.mga6
+ Revision: 856513
- update to 0.21.1

* Sat Jul 04 2015 sander85 <sander85> 0.20.1-1.mga6
+ Revision: 850441
- update to 0.20.1

* Mon Oct 20 2014 pterjan <pterjan> 0.15.1-5.mga5
+ Revision: 792157
- Apply the patch...

* Sun Oct 19 2014 pterjan <pterjan> 0.15.1-4.mga5
+ Revision: 791898
- Fix syntax (and avoid generating broken dependency)
- Add a description

* Wed Oct 15 2014 umeabot <umeabot> 0.15.1-3.mga5
+ Revision: 740744
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.15.1-1.mga5
+ Revision: 619618
- update to 0.15.1

* Sat Oct 19 2013 umeabot <umeabot> 0.14.1-2.mga4
+ Revision: 532350
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.14.1-1.mga4
+ Revision: 467950
- update to 0.14.1

* Mon Aug 12 2013 sander85 <sander85> 0.13.5-1.mga4
+ Revision: 465771
- update to v0.13.5

* Thu Aug 08 2013 sander85 <sander85> 0.13.4-1.mga4
+ Revision: 464730
- update to v0.13.4

* Wed Aug 07 2013 sander85 <sander85> 0.13.3-1.mga4
+ Revision: 464461
- update to v0.13.3

* Wed Aug 07 2013 sander85 <sander85> 0.13.1-1.mga4
+ Revision: 464336
- update to v0.13.1

* Sun Aug 04 2013 sander85 <sander85> 0.12.3-1.mga4
+ Revision: 463414
- update to v0.12.3

* Wed Jul 31 2013 sander85 <sander85> 0.12.2-1.mga4
+ Revision: 461467
- update to v0.12.2

* Tue Jul 30 2013 sander85 <sander85> 0.12.1-1.mga4
+ Revision: 460976
- update to v0.12.1

* Mon Jul 29 2013 sander85 <sander85> 0.12.0-1.mga4
+ Revision: 460592
- update to v0.12.0

* Mon Jun 10 2013 jquelin <jquelin> 0.10.179-1.mga4
+ Revision: 441538
- update to v0.10.179

* Sun Jan 13 2013 umeabot <umeabot> 0.9.166-2.mga3
+ Revision: 365538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.9.166-1.mga3
+ Revision: 317637
- update to 0.9.166

* Sun Oct 21 2012 jquelin <jquelin> 0.9.160-1.mga3
+ Revision: 308744
- adding missing buildrequires:
- imported package perl-Data-Validation


* Sun Oct 21 2012 cpan2dist 0.9.160-1mga
- initial mageia release, generated with cpan2dist
